Package org.h2.command

# Interface CommandInterface

All Superinterfaces:
  `AutoCloseable`

All Known Implementing Classes:
  `Command`, `CommandContainer`, `CommandRemote`

public interface CommandInterface extends AutoCloseable
Represents a SQL statement.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALTER_DOMAIN_ADD_CONSTRAINT`
The type of ALTER DOMAIN ADD CONSTRAINT statement.
`static final int`
`ALTER_DOMAIN_DEFAULT`
The type of ALTER DOMAIN SET DEFAULT and ALTER DOMAIN DROP DEFAULT statements.
`static final int`
`ALTER_DOMAIN_DROP_CONSTRAINT`
The type of ALTER DOMAIN DROP CONSTRAINT statement.
`static final int`
`ALTER_DOMAIN_ON_UPDATE`
The type of ALTER DOMAIN SET ON UPDATE and ALTER DOMAIN DROP ON UPDATE statements.
`static final int`
`ALTER_DOMAIN_RENAME`
The type of ALTER DOMAIN RENAME statement.
`static final int`
`ALTER_DOMAIN_RENAME_CONSTRAINT`
The type of ALTER DOMAIN RENAME CONSTRAINT statement.
`static final int`
`ALTER_INDEX_RENAME`
The type of ALTER INDEX RENAME statement.
`static final int`
`ALTER_SCHEMA_RENAME`
The type of ALTER SCHEMA RENAME statement.
`static final int`
`ALTER_SEQUENCE`
The type of ALTER SEQUENCE statement.
`static final int`
`ALTER_TABLE_ADD_COLUMN`
The type of ALTER TABLE ADD statement.
`static final int`
`ALTER_TABLE_ADD_CONSTRAINT_CHECK`
The type of ALTER TABLE ADD CHECK statement.
`static final int`
`ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY`
The type of ALTER TABLE ADD PRIMARY KEY statement.
`static final int`
`ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL`
The type of ALTER TABLE ADD FOREIGN KEY statement.
`static final int`
`ALTER_TABLE_ADD_CONSTRAINT_UNIQUE`
The type of ALTER TABLE ADD UNIQUE statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE`
The type of ALTER TABLE ALTER COLUMN statement that changes the column data type.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_DEFAULT`
The type of ALTER TABLE ALTER COLUMN SET DEFAULT and ALTER TABLE ALTER COLUMN DROP DEFAULT statements.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_DEFAULT_ON_NULL`
The type of ALTER TABLE ALTER COLUMN SET DEFAULT ON NULL and ALTER TABLE ALTER COLUMN DROP DEFAULT ON NULL statements.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_EXPRESSION`
The type of ALTER TABLE ALTER COLUMN DROP EXPRESSION statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_IDENTITY`
The type of ALTER TABLE ALTER COLUMN DROP IDENTITY statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_DROP_NOT_NULL`
The type of ALTER TABLE ALTER COLUMN DROP NOT NULL statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_NOT_NULL`
The type of ALTER TABLE ALTER COLUMN SET NOT NULL statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_ON_UPDATE`
The type of ALTER TABLE ALTER COLUMN SET ON UPDATE statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_RENAME`
The type of ALTER TABLE ALTER COLUMN RENAME statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_SELECTIVITY`
The type of ALTER TABLE ALTER COLUMN SELECTIVITY statement.
`static final int`
`ALTER_TABLE_ALTER_COLUMN_VISIBILITY`
The type of ALTER TABLE ALTER COLUMN SET INVISIBLE statement.
`static final int`
`ALTER_TABLE_DROP_COLUMN`
The type of ALTER TABLE DROP COLUMN statement.
`static final int`
`ALTER_TABLE_DROP_CONSTRAINT`
The type of ALTER TABLE DROP CONSTRAINT statement.
`static final int`
`ALTER_TABLE_RENAME`
The type of ALTER TABLE RENAME statement.
`static final int`
`ALTER_TABLE_RENAME_CONSTRAINT`
The type of ALTER TABLE RENAME CONSTRAINT statement.
`static final int`
`ALTER_TABLE_SET_REFERENTIAL_INTEGRITY`
The type of ALTER TABLE SET REFERENTIAL_INTEGRITY statement.
`static final int`
`ALTER_TYPE`
The type of ALTER TYPE statement.
`static final int`
`ALTER_USER_ADMIN`
The type of ALTER USER ADMIN statement.
`static final int`
`ALTER_USER_RENAME`
The type of ALTER USER RENAME statement.
`static final int`
`ALTER_USER_SET_PASSWORD`
The type of ALTER USER SET PASSWORD statement.
`static final int`
`ALTER_VIEW`
The type of ALTER VIEW statement.
`static final int`
`ANALYZE`
The type of ANALYZE statement.
`static final int`
`BACKUP`
The type of BACKUP statement.
`static final int`
`BEGIN`
The type of BEGIN {WORK|TRANSACTION} statement.
`static final int`
`CALL`
The type of CALL statement.
`static final int`
`CHECKPOINT`
The type of CHECKPOINT statement.
`static final int`
`CHECKPOINT_SYNC`
The type of CHECKPOINT SYNC statement.
`static final int`
`COMMENT`
The type of COMMENT statement.
`static final int`
`COMMIT`
The type of COMMIT statement.
`static final int`
`COMMIT_TRANSACTION`
The type of COMMIT TRANSACTION statement.
`static final int`
`CREATE_AGGREGATE`
The type of CREATE AGGREGATE statement.
`static final int`
`CREATE_ALIAS`
The type of CREATE ALIAS statement.
`static final int`
`CREATE_CONSTANT`
The type of CREATE CONSTANT statement.
`static final int`
`CREATE_DOMAIN`
The type of CREATE DOMAIN statement.
`static final int`
`CREATE_INDEX`
The type of CREATE INDEX statement.
`static final int`
`CREATE_LINKED_TABLE`
The type of CREATE LINKED TABLE statement.
`static final int`
`CREATE_MATERIALIZED_VIEW`
The type of CREATE MATERIALIZED VIEW statement.
`static final int`
`CREATE_ROLE`
The type of CREATE ROLE statement.
`static final int`
`CREATE_SCHEMA`
The type of CREATE SCHEMA statement.
`static final int`
`CREATE_SEQUENCE`
The type of CREATE SEQUENCE statement.
`static final int`
`CREATE_SYNONYM`
The type of CREATE SYNONYM statement.
`static final int`
`CREATE_TABLE`
The type of CREATE TABLE statement.
`static final int`
`CREATE_TRIGGER`
The type of CREATE TRIGGER statement.
`static final int`
`CREATE_USER`
The type of CREATE USER statement.
`static final int`
`CREATE_VIEW`
The type of CREATE VIEW statement.
`static final int`
`DEALLOCATE`
The type of DEALLOCATE statement.
`static final int`
`DELETE`
The type of DELETE statement.
`static final int`
`DROP_AGGREGATE`
The type of DROP AGGREGATE statement.
`static final int`
`DROP_ALIAS`
The type of DROP ALIAS statement.
`static final int`
`DROP_ALL_OBJECTS`
The type of DROP ALL OBJECTS statement.
`static final int`
`DROP_CONSTANT`
The type of DROP CONSTANT statement.
`static final int`
`DROP_DOMAIN`
The type of DROP DOMAIN statement.
`static final int`
`DROP_INDEX`
The type of DROP INDEX statement.
`static final int`
`DROP_MATERIALIZED_VIEW`
The type of DROP MATERIALIZED VIEW statement.
`static final int`
`DROP_ROLE`
The type of DROP ROLE statement.
`static final int`
`DROP_SCHEMA`
The type of DROP SCHEMA statement.
`static final int`
`DROP_SEQUENCE`
The type of DROP SEQUENCE statement.
`static final int`
`DROP_SYNONYM`
The type of DROP SYNONYM statement.
`static final int`
`DROP_TABLE`
The type of DROP TABLE statement.
`static final int`
`DROP_TRIGGER`
The type of DROP TRIGGER statement.
`static final int`
`DROP_USER`
The type of DROP USER statement.
`static final int`
`DROP_VIEW`
The type of DROP VIEW statement.
`static final int`
`EXECUTE`
The type of EXECUTE statement.
`static final int`
`EXECUTE_IMMEDIATELY`
The type of EXECUTE IMMEDIATELY statement.
`static final int`
`EXPLAIN`
The type of EXPLAIN statement.
`static final int`
`EXPLAIN_ANALYZE`
The type of EXPLAIN ANALYZE statement.
`static final int`
`GRANT`
The type of GRANT statement.
`static final int`
`HELP`
The type of HELP statement.
`static final int`
`INSERT`
The type of INSERT statement.
`static final int`
`MERGE`
The type of MERGE statement.
`static final int`
`NO_OPERATION`
The type of no operation statement.
`static final int`
`PREPARE`
The type of PREPARE statement.
`static final int`
`PREPARE_COMMIT`
The type of PREPARE COMMIT statement.
`static final int`
`REFRESH_MATERIALIZED_VIEW`
The type of REFRESH MATERIALIZED VIEW statement.
`static final int`
`REPLACE`
The type of REPLACE statement.
`static final int`
`REVOKE`
The type of REVOKE statement.
`static final int`
`ROLLBACK`
The type of ROLLBACK statement.
`static final int`
`ROLLBACK_TO_SAVEPOINT`
The type of ROLLBACK TO SAVEPOINT statement.
`static final int`
`ROLLBACK_TRANSACTION`
The type of ROLLBACK TRANSACTION statement.
`static final int`
`RUNSCRIPT`
The type of RUNSCRIPT statement.
`static final int`
`SAVEPOINT`
The type of SAVEPOINT statement.
`static final int`
`SCRIPT`
The type of SCRIPT statement.
`static final int`
`SELECT`
The type of SELECT statement.
`static final int`
`SET`
The type of SET statement.
`static final int`
`SET_AUTOCOMMIT_FALSE`
The type of SET AUTOCOMMIT statement.
`static final int`
`SET_AUTOCOMMIT_TRUE`
The type of SET AUTOCOMMIT statement.
`static final int`
`SHUTDOWN`
The type of SHUTDOWN statement.
`static final int`
`SHUTDOWN_COMPACT`
The type of SHUTDOWN COMPACT statement.
`static final int`
`SHUTDOWN_DEFRAG`
The type of SHUTDOWN DEFRAG statement.
`static final int`
`SHUTDOWN_IMMEDIATELY`
The type of SHUTDOWN IMMEDIATELY statement.
`static final int`
`TRUNCATE_TABLE`
The type of TRUNCATE TABLE statement.
`static final int`
`UNKNOWN`
The type for unknown statement.
`static final int`
`UPDATE`
The type of UPDATE statement.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Cancel the statement if it is still processing.
`void`
`close()`
Close the statement.
`BatchResult`
`executeBatchUpdate(ArrayList<Value[]> batchParameters, Object generatedKeysRequest)`
Executes the statement with multiple sets of parameters.
`ResultInterface`
`executeQuery(long maxRows, int fetchSize, boolean scrollable)`
Execute the query.
`ResultWithGeneratedKeys`
`executeUpdate(Object generatedKeysRequest)`
Execute the statement
`int`
`getCommandType()`
Get command type.
`ResultInterface`
`getMetaData()`
Get an empty result set containing the meta data of the result.
`ArrayList<? extends ParameterInterface>`
`getParameters()`
Get the parameters (if any).
`boolean`
`isQuery()`
Check if this is a query.
`void`
`stop(boolean commitIfAutoCommit)`
Stop the command execution, release all locks and resources.

## Field Details

### UNKNOWN

static final int UNKNOWN
The type for unknown statement.

See Also:
  - Constant Field Values

### ALTER_INDEX_RENAME

static final int ALTER_INDEX_RENAME
The type of ALTER INDEX RENAME statement.

See Also:
  - Constant Field Values

### ALTER_SCHEMA_RENAME

static final int ALTER_SCHEMA_RENAME
The type of ALTER SCHEMA RENAME statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ADD_CONSTRAINT_CHECK

static final int ALTER_TABLE_ADD_CONSTRAINT_CHECK
The type of ALTER TABLE ADD CHECK statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ADD_CONSTRAINT_UNIQUE

static final int ALTER_TABLE_ADD_CONSTRAINT_UNIQUE
The type of ALTER TABLE ADD UNIQUE statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL

static final int ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL
The type of ALTER TABLE ADD FOREIGN KEY statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY

static final int ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY
The type of ALTER TABLE ADD PRIMARY KEY statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ADD_COLUMN

static final int ALTER_TABLE_ADD_COLUMN
The type of ALTER TABLE ADD statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_NOT_NULL

static final int ALTER_TABLE_ALTER_COLUMN_NOT_NULL
The type of ALTER TABLE ALTER COLUMN SET NOT NULL statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_DROP_NOT_NULL

static final int ALTER_TABLE_ALTER_COLUMN_DROP_NOT_NULL
The type of ALTER TABLE ALTER COLUMN DROP NOT NULL statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_DEFAULT

static final int ALTER_TABLE_ALTER_COLUMN_DEFAULT
The type of ALTER TABLE ALTER COLUMN SET DEFAULT and ALTER TABLE ALTER COLUMN DROP DEFAULT statements.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE

static final int ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE
The type of ALTER TABLE ALTER COLUMN statement that changes the column data type.

See Also:
  - Constant Field Values

### ALTER_TABLE_DROP_COLUMN

static final int ALTER_TABLE_DROP_COLUMN
The type of ALTER TABLE DROP COLUMN statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_SELECTIVITY

static final int ALTER_TABLE_ALTER_COLUMN_SELECTIVITY
The type of ALTER TABLE ALTER COLUMN SELECTIVITY statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_DROP_CONSTRAINT

static final int ALTER_TABLE_DROP_CONSTRAINT
The type of ALTER TABLE DROP CONSTRAINT statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_RENAME

static final int ALTER_TABLE_RENAME
The type of ALTER TABLE RENAME statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_RENAME

static final int ALTER_TABLE_ALTER_COLUMN_RENAME
The type of ALTER TABLE ALTER COLUMN RENAME statement.

See Also:
  - Constant Field Values

### ALTER_USER_ADMIN

static final int ALTER_USER_ADMIN
The type of ALTER USER ADMIN statement.

See Also:
  - Constant Field Values

### ALTER_USER_RENAME

static final int ALTER_USER_RENAME
The type of ALTER USER RENAME statement.

See Also:
  - Constant Field Values

### ALTER_USER_SET_PASSWORD

static final int ALTER_USER_SET_PASSWORD
The type of ALTER USER SET PASSWORD statement.

See Also:
  - Constant Field Values

### ALTER_VIEW

static final int ALTER_VIEW
The type of ALTER VIEW statement.

See Also:
  - Constant Field Values

### ANALYZE

static final int ANALYZE
The type of ANALYZE statement.

See Also:
  - Constant Field Values

### CREATE_AGGREGATE

static final int CREATE_AGGREGATE
The type of CREATE AGGREGATE statement.

See Also:
  - Constant Field Values

### CREATE_CONSTANT

static final int CREATE_CONSTANT
The type of CREATE CONSTANT statement.

See Also:
  - Constant Field Values

### CREATE_ALIAS

static final int CREATE_ALIAS
The type of CREATE ALIAS statement.

See Also:
  - Constant Field Values

### CREATE_INDEX

static final int CREATE_INDEX
The type of CREATE INDEX statement.

See Also:
  - Constant Field Values

### CREATE_LINKED_TABLE

static final int CREATE_LINKED_TABLE
The type of CREATE LINKED TABLE statement.

See Also:
  - Constant Field Values

### CREATE_ROLE

static final int CREATE_ROLE
The type of CREATE ROLE statement.

See Also:
  - Constant Field Values

### CREATE_SCHEMA

static final int CREATE_SCHEMA
The type of CREATE SCHEMA statement.

See Also:
  - Constant Field Values

### CREATE_SEQUENCE

static final int CREATE_SEQUENCE
The type of CREATE SEQUENCE statement.

See Also:
  - Constant Field Values

### CREATE_TABLE

static final int CREATE_TABLE
The type of CREATE TABLE statement.

See Also:
  - Constant Field Values

### CREATE_TRIGGER

static final int CREATE_TRIGGER
The type of CREATE TRIGGER statement.

See Also:
  - Constant Field Values

### CREATE_USER

static final int CREATE_USER
The type of CREATE USER statement.

See Also:
  - Constant Field Values

### CREATE_DOMAIN

static final int CREATE_DOMAIN
The type of CREATE DOMAIN statement.

See Also:
  - Constant Field Values

### CREATE_VIEW

static final int CREATE_VIEW
The type of CREATE VIEW statement.

See Also:
  - Constant Field Values

### DEALLOCATE

static final int DEALLOCATE
The type of DEALLOCATE statement.

See Also:
  - Constant Field Values

### DROP_AGGREGATE

static final int DROP_AGGREGATE
The type of DROP AGGREGATE statement.

See Also:
  - Constant Field Values

### DROP_CONSTANT

static final int DROP_CONSTANT
The type of DROP CONSTANT statement.

See Also:
  - Constant Field Values

### DROP_ALL_OBJECTS

static final int DROP_ALL_OBJECTS
The type of DROP ALL OBJECTS statement.

See Also:
  - Constant Field Values

### DROP_ALIAS

static final int DROP_ALIAS
The type of DROP ALIAS statement.

See Also:
  - Constant Field Values

### DROP_INDEX

static final int DROP_INDEX
The type of DROP INDEX statement.

See Also:
  - Constant Field Values

### DROP_ROLE

static final int DROP_ROLE
The type of DROP ROLE statement.

See Also:
  - Constant Field Values

### DROP_SCHEMA

static final int DROP_SCHEMA
The type of DROP SCHEMA statement.

See Also:
  - Constant Field Values

### DROP_SEQUENCE

static final int DROP_SEQUENCE
The type of DROP SEQUENCE statement.

See Also:
  - Constant Field Values

### DROP_TABLE

static final int DROP_TABLE
The type of DROP TABLE statement.

See Also:
  - Constant Field Values

### DROP_TRIGGER

static final int DROP_TRIGGER
The type of DROP TRIGGER statement.

See Also:
  - Constant Field Values

### DROP_USER

static final int DROP_USER
The type of DROP USER statement.

See Also:
  - Constant Field Values

### DROP_DOMAIN

static final int DROP_DOMAIN
The type of DROP DOMAIN statement.

See Also:
  - Constant Field Values

### DROP_VIEW

static final int DROP_VIEW
The type of DROP VIEW statement.

See Also:
  - Constant Field Values

### GRANT

static final int GRANT
The type of GRANT statement.

See Also:
  - Constant Field Values

### REVOKE

static final int REVOKE
The type of REVOKE statement.

See Also:
  - Constant Field Values

### PREPARE

static final int PREPARE
The type of PREPARE statement.

See Also:
  - Constant Field Values

### COMMENT

static final int COMMENT
The type of COMMENT statement.

See Also:
  - Constant Field Values

### TRUNCATE_TABLE

static final int TRUNCATE_TABLE
The type of TRUNCATE TABLE statement.

See Also:
  - Constant Field Values

### ALTER_SEQUENCE

static final int ALTER_SEQUENCE
The type of ALTER SEQUENCE statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_SET_REFERENTIAL_INTEGRITY

static final int ALTER_TABLE_SET_REFERENTIAL_INTEGRITY
The type of ALTER TABLE SET REFERENTIAL_INTEGRITY statement.

See Also:
  - Constant Field Values

### BACKUP

static final int BACKUP
The type of BACKUP statement.

See Also:
  - Constant Field Values

### CALL

static final int CALL
The type of CALL statement.

See Also:
  - Constant Field Values

### DELETE

static final int DELETE
The type of DELETE statement.

See Also:
  - Constant Field Values

### EXECUTE

static final int EXECUTE
The type of EXECUTE statement.

See Also:
  - Constant Field Values

### EXPLAIN

static final int EXPLAIN
The type of EXPLAIN statement.

See Also:
  - Constant Field Values

### INSERT

static final int INSERT
The type of INSERT statement.

See Also:
  - Constant Field Values

### MERGE

static final int MERGE
The type of MERGE statement.

See Also:
  - Constant Field Values

### REPLACE

static final int REPLACE
The type of REPLACE statement.

See Also:
  - Constant Field Values

### NO_OPERATION

static final int NO_OPERATION
The type of no operation statement.

See Also:
  - Constant Field Values

### RUNSCRIPT

static final int RUNSCRIPT
The type of RUNSCRIPT statement.

See Also:
  - Constant Field Values

### SCRIPT

static final int SCRIPT
The type of SCRIPT statement.

See Also:
  - Constant Field Values

### SELECT

static final int SELECT
The type of SELECT statement.

See Also:
  - Constant Field Values

### SET

static final int SET
The type of SET statement.

See Also:
  - Constant Field Values

### UPDATE

static final int UPDATE
The type of UPDATE statement.

See Also:
  - Constant Field Values

### SET_AUTOCOMMIT_TRUE

static final int SET_AUTOCOMMIT_TRUE
The type of SET AUTOCOMMIT statement.

See Also:
  - Constant Field Values

### SET_AUTOCOMMIT_FALSE

static final int SET_AUTOCOMMIT_FALSE
The type of SET AUTOCOMMIT statement.

See Also:
  - Constant Field Values

### COMMIT

static final int COMMIT
The type of COMMIT statement.

See Also:
  - Constant Field Values

### ROLLBACK

static final int ROLLBACK
The type of ROLLBACK statement.

See Also:
  - Constant Field Values

### CHECKPOINT

static final int CHECKPOINT
The type of CHECKPOINT statement.

See Also:
  - Constant Field Values

### SAVEPOINT

static final int SAVEPOINT
The type of SAVEPOINT statement.

See Also:
  - Constant Field Values

### ROLLBACK_TO_SAVEPOINT

static final int ROLLBACK_TO_SAVEPOINT
The type of ROLLBACK TO SAVEPOINT statement.

See Also:
  - Constant Field Values

### CHECKPOINT_SYNC

static final int CHECKPOINT_SYNC
The type of CHECKPOINT SYNC statement.

See Also:
  - Constant Field Values

### PREPARE_COMMIT

static final int PREPARE_COMMIT
The type of PREPARE COMMIT statement.

See Also:
  - Constant Field Values

### COMMIT_TRANSACTION

static final int COMMIT_TRANSACTION
The type of COMMIT TRANSACTION statement.

See Also:
  - Constant Field Values

### ROLLBACK_TRANSACTION

static final int ROLLBACK_TRANSACTION
The type of ROLLBACK TRANSACTION statement.

See Also:
  - Constant Field Values

### SHUTDOWN

static final int SHUTDOWN
The type of SHUTDOWN statement.

See Also:
  - Constant Field Values

### SHUTDOWN_IMMEDIATELY

static final int SHUTDOWN_IMMEDIATELY
The type of SHUTDOWN IMMEDIATELY statement.

See Also:
  - Constant Field Values

### SHUTDOWN_COMPACT

static final int SHUTDOWN_COMPACT
The type of SHUTDOWN COMPACT statement.

See Also:
  - Constant Field Values

### BEGIN

static final int BEGIN
The type of BEGIN {WORK|TRANSACTION} statement.

See Also:
  - Constant Field Values

### SHUTDOWN_DEFRAG

static final int SHUTDOWN_DEFRAG
The type of SHUTDOWN DEFRAG statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_RENAME_CONSTRAINT

static final int ALTER_TABLE_RENAME_CONSTRAINT
The type of ALTER TABLE RENAME CONSTRAINT statement.

See Also:
  - Constant Field Values

### EXPLAIN_ANALYZE

static final int EXPLAIN_ANALYZE
The type of EXPLAIN ANALYZE statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_VISIBILITY

static final int ALTER_TABLE_ALTER_COLUMN_VISIBILITY
The type of ALTER TABLE ALTER COLUMN SET INVISIBLE statement.

See Also:
  - Constant Field Values

### CREATE_SYNONYM

static final int CREATE_SYNONYM
The type of CREATE SYNONYM statement.

See Also:
  - Constant Field Values

### DROP_SYNONYM

static final int DROP_SYNONYM
The type of DROP SYNONYM statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_ON_UPDATE

static final int ALTER_TABLE_ALTER_COLUMN_ON_UPDATE
The type of ALTER TABLE ALTER COLUMN SET ON UPDATE statement.

See Also:
  - Constant Field Values

### EXECUTE_IMMEDIATELY

static final int EXECUTE_IMMEDIATELY
The type of EXECUTE IMMEDIATELY statement.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_ADD_CONSTRAINT

static final int ALTER_DOMAIN_ADD_CONSTRAINT
The type of ALTER DOMAIN ADD CONSTRAINT statement.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_DROP_CONSTRAINT

static final int ALTER_DOMAIN_DROP_CONSTRAINT
The type of ALTER DOMAIN DROP CONSTRAINT statement.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_DEFAULT

static final int ALTER_DOMAIN_DEFAULT
The type of ALTER DOMAIN SET DEFAULT and ALTER DOMAIN DROP DEFAULT statements.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_ON_UPDATE

static final int ALTER_DOMAIN_ON_UPDATE
The type of ALTER DOMAIN SET ON UPDATE and ALTER DOMAIN DROP ON UPDATE statements.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_RENAME

static final int ALTER_DOMAIN_RENAME
The type of ALTER DOMAIN RENAME statement.

See Also:
  - Constant Field Values

### HELP

static final int HELP
The type of HELP statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_DROP_EXPRESSION

static final int ALTER_TABLE_ALTER_COLUMN_DROP_EXPRESSION
The type of ALTER TABLE ALTER COLUMN DROP EXPRESSION statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_DROP_IDENTITY

static final int ALTER_TABLE_ALTER_COLUMN_DROP_IDENTITY
The type of ALTER TABLE ALTER COLUMN DROP IDENTITY statement.

See Also:
  - Constant Field Values

### ALTER_TABLE_ALTER_COLUMN_DEFAULT_ON_NULL

static final int ALTER_TABLE_ALTER_COLUMN_DEFAULT_ON_NULL
The type of ALTER TABLE ALTER COLUMN SET DEFAULT ON NULL and ALTER TABLE ALTER COLUMN DROP DEFAULT ON NULL statements.

See Also:
  - Constant Field Values

### ALTER_DOMAIN_RENAME_CONSTRAINT

static final int ALTER_DOMAIN_RENAME_CONSTRAINT
The type of ALTER DOMAIN RENAME CONSTRAINT statement.

See Also:
  - Constant Field Values

### CREATE_MATERIALIZED_VIEW

static final int CREATE_MATERIALIZED_VIEW
The type of CREATE MATERIALIZED VIEW statement.

See Also:
  - Constant Field Values

### REFRESH_MATERIALIZED_VIEW

static final int REFRESH_MATERIALIZED_VIEW
The type of REFRESH MATERIALIZED VIEW statement.

See Also:
  - Constant Field Values

### DROP_MATERIALIZED_VIEW

static final int DROP_MATERIALIZED_VIEW
The type of DROP MATERIALIZED VIEW statement.

See Also:
  - Constant Field Values

### ALTER_TYPE

static final int ALTER_TYPE
The type of ALTER TYPE statement.

See Also:
  - Constant Field Values

## Method Details

### getCommandType

int getCommandType()
Get command type.

Returns:
  one of the constants above

### isQuery

boolean isQuery()
Check if this is a query.

Returns:
  true if it is a query

### getParameters

ArrayList<? extends ParameterInterface> getParameters()
Get the parameters (if any).

Returns:
  the parameters

### executeQuery

ResultInterface executeQuery(long maxRows, int fetchSize, boolean scrollable)
Execute the query.

Parameters:
  `maxRows` - the maximum number of rows returned
  `fetchSize` - the number of rows to fetch (for remote commands only)
  `scrollable` - if the result set must be scrollable
Returns:
  the result

### executeUpdate

ResultWithGeneratedKeys executeUpdate(Object generatedKeysRequest)
Execute the statement

Parameters:
  `generatedKeysRequest` - `null` or `false` if generated keys are not needed, `true` if generated keys should be configured automatically, `int[]` to specify column indices to return generated keys from, or `String[]` to specify column names to return generated keys from
Returns:
  the update count and generated keys, if any

### executeBatchUpdate

BatchResult executeBatchUpdate(ArrayList<Value[]> batchParameters, Object generatedKeysRequest)
Executes the statement with multiple sets of parameters.

Parameters:
  `batchParameters` - batch parameters
  `generatedKeysRequest` - `null` or `false` if generated keys are not needed, `true` if generated keys should be configured automatically, `int[]` to specify column indices to return generated keys from, or `String[]` to specify column names to return generated keys from
Returns:
  result of batch execution

### stop

void stop(boolean commitIfAutoCommit)
Stop the command execution, release all locks and resources.

Parameters:
  `commitIfAutoCommit` - commit the session if auto-commit is enabled

### close

void close()
Close the statement.

Specified by:
  `close` in interface `AutoCloseable`

### cancel

void cancel()
Cancel the statement if it is still processing.

### getMetaData

ResultInterface getMetaData()
Get an empty result set containing the meta data of the result.

Returns:
  the empty result